# Food

## Descipción del Proyecto

Para llevar a cabo todos los procesos que nos permiten estar vivos, el organismo humano necesita un
suministro continuo de materiales que debemos ingerir: **los nutrientes**. Sin embargo, estos nutrientes
no se ingieren directamente, sino que forman parte de los alimentos. Las multiples combinaciones en
que la naturaleza ofrece los diferentes nutrientes nos dan una amplia variedad de alimentos que el ser
humano puede consumir.

Se puede hacer una primera distinción entre los componentes de cualquier alimento en base a las
cantidades en que estan presentes: los llamados macronutrientes, que son los que ocupan la mayor
proporcion de los alimentos, y los llamados micronutrientes, que solo estan presentes en pequeñísimas
proporciones. Los macronutrientes son las proteínas, los glucidos (o hidratos de carbono) y los lípidos (o
grasas). Tambien se podría incluir a la fibra y al agua, que estan presentes en cantidades considerables
en la mayoría de los alimentos, pero como no aportan calorías no suelen considerarse nutrientes. Entre
los micronutrientes se encuentran las vitaminas y los minerales.

El **valor energetico o valor calorico** de un alimento es proporcional a la cantidad de energía que
puede proporcionar al quemarse en presencia de oxígeno. Se mide en calorías.Como su valor resulta
muy pequeño, en dietetica se toma como medida la kilocaloría (1 Kcal. = 1.000 calorías). Las dietas
de los humanos adultos contienen entre 1.000 y 5.000 kilocalorías por día.

Cada grupo de nutrientes energeticos: glucidos, lípidos o proteínas tiene un valor calórico diferente
y mas o menos uniforme en cada grupo. Para facilitar los calculos del valor energetico de los alimentos
se toman unos valores estandar para cada grupo:

+ Cuando el organismo quema 1 g de glucidos obtiene 4 Kcal
+ Cuando el organismo quema 1 g de lípidos obtiene 9 Kcal
+ Cuando el organismo quema 1 g de proteínas consigue 4 Kcal

De ahí que los alimentos ricos en grasa tengan un contenido energetico mucho mayor que los formados
por glucidos o proteínas. Las vitaminas y los minerales, así como los oligoelementos, el agua y la fibra
se considera que no aportan calorías. 

    Por ejemplo, un alimento que contenga 10 g de proteína, 20 g
    de glucidos y 9 g de grasa nos proporcionaría 201 Kcal: 10 × 4 + 20 × 4 + 9 × 9 = 201Kcal

---
## Requisitos

+ Debe existir un nombre para el alimento.
+ Debe existir la candidad de proteínas del alimento en gramos.
+ Debe existir la candidad de glúcidos del alimento en gramos.
+ Debe existir la candidad de grasas del alimento en gramos.
+ Existe un método para obtener el nombre del alimento.
+ Existe un método para obtener la cantidad de proteínas de un alimento.
+ Existe un método para obtener la cantidad de glúcidos de un alimento.
+ Existe un método para obtener de grasas de un alimento.
+ Existe un método para obtener el alimento formateado.
+ Existe un método para obtener el valor energético de un alimento.

---

## Resultado

### El resultado de la práctica debe ser una clase Alimento que contenga:

| Alimento     | Proteínas  | Glúcidos   | Lípidos   |
| -------------|:----------:|:----------:|:---------:|
| Huevo frito  | 14.1       |   0.0      |  19.5     |
| Leche vaca   | 3.3        |   4.8      |  3.2      |
| Yogurt       | 3.8        |   4.9      |  3.8      |
| Cerdo        | 21.5       |   0.0      |  6.3      |


---
## Licencia

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).